# $Revision: 1.31 $, $Date: 2011/12/18 22:06:12 $
%define		_modname	bcompiler
%define		_status		stable
Summary:	%{_modname} - a bytecode compiler for classes
Summary(pl.UTF-8):	%{_modname} - kompilator kodu bajtowego dla klas
Name:		php-pecl-%{_modname}
Version:	1.0.2
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	99f76a5ef536d43180b41036a6a13e43
URL:		http://pecl.php.net/package/bcompiler/
BuildRequires:	bzip2-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Requires:	php-tokenizer
Suggests:	php-bz2
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bcompiler enables you to encode your scripts in phpbytecode, enabling
you to protect the source. bcompiler could be used in the following
situations:
- to create a exe file of a PHP-GTK application (in conjunction with
  other software)
- to create closed source libraries
- to provide clients with time expired software (prior to payment)
- to deliver close source applications
- for use on embedded systems, where disk space is a priority.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
bcompiler pozwala na zakodowanie skryptów do kodu bajtowego PHP,
pozwalając na chronienie swojego kodu. bcompiler może być używany w
następujących sytuacjach:
- tworzenie plików exe dla aplikacji PHP-GTK (w połączeniu z innym
  oprogramowaniem),
- tworzenie bibliotek z zamkniętym kodem,
- tworzenie oprogramowania z ograniczonym czasem działania (zależnym
  od opłat),
- dostarczanie aplikacji o zamkniętym kodzie,
- użycie na systemach embedded, gdzie wielkość jest priorytetem.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples/*
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-bcompiler.spec,v $
Revision 1.31  2011/12/18 22:06:12  adamg
- Requires: php-tokenizer; Suggests: php-bz2

Revision 1.30  2011/12/18 22:04:55  adamg
- updated to 1.0.2 (stable)

Revision 1.29  2010/12/11 21:37:47  arekm
- release 3

Revision 1.28  2010/06/02 15:52:37  glen
- release 2

Revision 1.27  2010/02/09 08:06:50  adamg
- updated to 0.9.3

Revision 1.26  2010/01/03 22:07:10  adamg
- updated to 0.9.2

Revision 1.25  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.23  2006/12/14 23:53:43  glen
- use new php extension related macros

Revision 1.22  2006/12/13 22:16:28  glen
- update to 0.8

Revision 1.21  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.20  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.19  2005/10/30 13:29:27  glen
- rel 4

Revision 1.18  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.17  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.16  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.15  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.14  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.13  2005/07/31 08:06:36  adamg
- updated to 0.7
- BuildRequires: bzip2-devel

Revision 1.12  2005/02/19 18:52:22  ankry
- unification

Revision 1.11  2005/02/19 18:50:59  adamg
- updated to 0.6

Revision 1.10  2004/05/30 15:58:42  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.9  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.8  2003/10/07 20:57:03  adamg
- do not use macros in URL

Revision 1.7  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.6  2003/06/12 12:31:48  qboosh
- cosmetics

Revision 1.5  2003/06/11 20:28:22  adamg
- fixed status info

Revision 1.4  2003/06/06 09:16:33  adamg
- updated to 0.5

Revision 1.3  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/10/15 18:38:52  misto
- renamed package with binary pear class from php-pear-class to php-pecl-class
